### 1.55 `sinh`, `sinhf`—hyperbolic sine

Synopsis

         #include <math.h>
         double sinh(double x);
         float  sinhf(float x);

Description
`sinh` computes the hyperbolic sine of the argument x. Angles are specified in radians. `sinh`(x) is defined as

          (exp(x) - exp(-x))/2

`sinhf` is identical, save that it takes and returns `float` values.

Returns
The hyperbolic sine of x is returned.

When the correct result is too large to be representable (an overflow), `sinh` returns `HUGE_VAL` with the appropriate sign, and sets the global value `errno` to `ERANGE`.

You can modify error handling for these functions with `matherr`.

Portability
`sinh` is ANSI C. `sinhf` is an extension.